<?php

namespace Onestartup\Landings\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;
use Onestartup\Landings\Model\Landing;

class RequestEditLanding extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required|max:355',
            'slug' => [Rule::unique('landings')->ignore($this->route("landing")), 'required', 'max:455'],
            'subtitle' => 'max:455',
            'description'=> 'max:455',
            'portada' => 'image',
            'formato' => "required|max:455",
            'active' => 'required|boolean'
        ];
    }
}